# Python: module skeinforge_application.skeinforge_plugins.analyze_plugins.clairvoyance

skeinforge_application.skeinforge_plugins.analyze_plugins.clairvoyance ($Date: 2008/21/04 $) | index /home/enrique/Desktop/backup/babbleold/script/reprap/fabmetheus/skeinforge_application/skeinforge_plugins/analyze_plugins/clairvoyance.py

Previous / Next / Contents

`
Clairvoyance is an analyze plugin to open the gcode file with an outside program.
The clairvoyance manual page is at:
http://fabmetheus.crsndoo.com/wiki/index.php/Skeinforge_Clairvoyance
Operation
Settings
Gcode Program
Examples
`

## Operation

The default 'Activate Clairvoyance' checkbox is off. When it is on, the functions described below will work when called from the skeinforge toolchain, when it is off, the functions will not be called from the toolchain. The functions will still be called, whether or not the 'Activate Clairvoyance' checkbox is on, when clairvoyance is run directly.

## Settings

### Gcode Program

Default is webbrowser.
If the 'Gcode Program' is set to webbrowser, the gcode file will be sent to the default browser to be opened. If the 'Gcode Program' is set to a program name, the gcode file will be sent to that program to be opened. A good gcode viewer is Pleasant3D, at:
http://www.pleasantsoftware.com/developer/pleasant3d/index.shtml

## Examples

Below are examples of clairvoyance being used. These examples are run in a terminal in the folder which contains Screw Holder_penultimate.gcode and clairvoyance.py.
> python clairvoyance.py
This brings up the clairvoyance dialog.
> python clairvoyance.py Screw Holder_penultimate.gcode
The file is opened by an outside program

Previous / Next / Contents

Modules

``

__init__ fabmetheus_utilities.archive | fabmetheus_utilities.settings skeinforge_application.skeinforge_utilities.skeinforge_polyfile | skeinforge_application.skeinforge_utilities.skeinforge_profile subprocess | sys traceback

Classes

``

ClairvoyanceRepository

class ClairvoyanceRepository
`` | `A class to handle the clairvoyance settings.`

Methods defined here:

__init__(self)
  `Set the default settings, execute title & settings fileName.`

execute(self)
  `Write button has been clicked.`

Functions

``

getNewRepository()
  `Get new repository.`

getWindowAnalyzeFile(fileName, repository=None)
  `Open penultimate file with outside program.`

main()
  `Display the clairvoyance dialog.`

writeOutput(fileName, fileNamePenultimate, fileNameSuffix, filePenultimateWritten, gcodeText='')
  `Open penultimate file with outside program given text.`

Data
`` |  | __author__ = 'Enrique Perez (perez_enrique@yahoo.com)' __date__ = '$Date: 2008/21/04 $' __license__ = 'GNU Affero General Public License http://www.gnu.org/licenses/agpl.html' absolute_import = _Feature((2, 5, 0, 'alpha', 1), (2, 7, 0, 'alpha', 0), 16384)

Author
`` |  | Enrique Perez (perez_enrique@yahoo.com)